<div class="calc_form">
  <h1 mat-dialog-title>
    Розрахунок вартості ремонту
  </h1>
  <div mat-dialog-content class="calc_form_content">

    <mat-vertical-stepper [linear]="true" #stepper>

        <mat-step>
          <div class="step_1">
            <ng-template matStepLabel>Оберіть будинок</ng-template>
            <mat-form-field class="form_field">
              <mat-select placeholder="Натисніть для вибору" [(value)]="currentHouse">
                <mat-option *ngFor="let house of houses" [value]="house">
                  {{house}}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <div>
              <button mat-button matStepperNext mat-raised-button color="primary">Далі</button>
              <button class="step_1_add_btn" mat-button (click)="addHouse()">Додати інший будинок</button>
            </div>
          </div>
        </mat-step>

        <mat-step [stepControl]="step2FormGroup">
          <form class="step_2" [formGroup]="step2FormGroup">
            <ng-template matStepLabel>Оберіть типи та кількість квартир</ng-template>
            <div class="step_2_check" *ngFor="let item of rooms; index as i">
              <mat-checkbox class="check" (change)="onStep2CheckChange(i + 1)" [formControlName]="'check' + (i + 1)" [value]="!!(step2FormGroup.get('check' + (i + 1)).value)">{{item}}</mat-checkbox>
              <mat-form-field class="step_2_form_field" [ngClass]="{'visible_field': step2FormGroup.get('check' + (i + 1)).value}">
                  <input matInput class="input" type="number" placeholder="Кількість квартир" [formControlName]="'count' + (i + 1)" [errorStateMatcher]="inputErrorStateMatcher">
                  <mat-hint>
                    Введіть кількість квартир
                  </mat-hint>
                  <mat-error *ngIf="step2FormGroup.get('count' + (i + 1)).hasError('required')">
                    Поле 'Кількість квартир' <strong>обов'язкове</strong>
                  </mat-error>
              </mat-form-field>
            </div>
            <div>
              <button mat-button matStepperNext mat-raised-button color="primary">Далі</button>
              <button class="step_2_add_btn" mat-button (click)="addRoom()">Додати новий тип квартири</button>
            </div>
          </form>
        </mat-step>

        <mat-step [stepControl]="step3FormGroup">
          <form class="step_2" [formGroup]="step3FormGroup">
            <ng-template matStepLabel>Оберіть види робіт</ng-template>
            <div class="step_2_check" *ngFor="let item of jobTypes; index as i">
              <mat-checkbox class="check" (change)="onStep3CheckChange()" [formControlName]="'check' + (i + 1)" [value]="!!(step3FormGroup.get('check' + (i + 1)).value)">
                {{item}}
              </mat-checkbox>
            </div>
            <div>
              <button mat-button matStepperNext mat-raised-button color="primary">Далі</button>
              <!-- <button class="step_2_add_btn" mat-button (click)="addJobType()">Додати новий тип робіт</button> -->
            </div>
          </form>
        </mat-step>

        <mat-step>
          <div class="step_1">
            <ng-template matStepLabel>Виберіть матеріали для обраних видів робіт</ng-template>
            <mat-form-field class="form_field" *ngFor="let item of choosenJobTypes">
              <mat-select [placeholder]="item" [(value)]="choosenMaterials[item]">
                <mat-option *ngFor="let type of meterials[item]" [value]="type">
                  {{type}}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <div>
              <button mat-button matStepperNext mat-raised-button color="primary">Далі</button>
            </div>
          </div>
        </mat-step>

        <mat-step [stepControl]="step5FormGroup">
          <form class="step_2" [formGroup]="step5FormGroup">
            <ng-template matStepLabel>Оберіть працівників</ng-template>
            <div class="step_2_check" *ngFor="let item of workers; index as i">
              <mat-checkbox class="check" (change)="onStep5CheckChange()" [formControlName]="'check' + (i + 1)" [value]="!!(step5FormGroup.get('check' + (i + 1)).value)">
                {{item}}
              </mat-checkbox>
            </div>
            <div>
              <button mat-button matStepperNext mat-raised-button color="primary">Далі</button>
              <button class="step_2_add_btn" mat-button (click)="addWorker()">Додати нового працівника</button>
            </div>
          </form>
        </mat-step>

        <mat-step>
          <ng-template matStepLabel>Розрахунок вартості ремонту</ng-template>
          <mat-progress-bar *ngIf="isShowProgress" class="progress_bar" mode="indeterminate"></mat-progress-bar>
          <div *ngIf="!isShowProgress" class="result">
            {{price}}$
          </div>
          <div *ngIf="!isShowProgress" class="close_calc_button">
              <button (click)="close()" mat-button mat-raised-button color="primary">Зрозуміло</button>
          </div>
        </mat-step>
      </mat-vertical-stepper>

  </div>
</div>
